import './style.scss';

export default new Class({
	Extends: Hedera.Form,
	Template: require('./ui.xml')

	,activate() {
		this.$.newsModel.setInfo('n', 'news', 'hedera', ['id'], 'id');
	}

	,editNew(newId) {
		this.hash.setAll({
			form: 'news/new',
			new: newId
		});
	}

	,onEditClick(newId) {
		this.editNew(newId);
	}

	,onDeleteClick(form) {
		if (confirm(_('ReallyDelete')))
			form.deleteRow();
	}
	
	,onAddClick() {
		this.editNew(0);
	}
});

